summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2018-12-21 08:33:25 +0100
committerGilles Dartiguelongue <eva@gentoo.org>2018-12-21 23:12:40 +0100
commit65bf8f8616e2f5c3afa1a525b85dd4c7d46e0cee (patch)
tree0b66e51a9b02bd5be4658305696dffaa27fd4a69 /media-video/cheese/cheese-3.30.0.ebuild
parentapp-admin/packagekit-base: cleanup 1.1.7 (diff)
downloadgentoo-65bf8f8616e2f5c3afa1a525b85dd4c7d46e0cee.tar.gz
gentoo-65bf8f8616e2f5c3afa1a525b85dd4c7d46e0cee.tar.bz2
gentoo-65bf8f8616e2f5c3afa1a525b85dd4c7d46e0cee.zip
media-video/cheese: 3.28.0 → 3.30.0
Mostly translation updates only. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Gilles Dartiguelongue <eva@gentoo.org>
Diffstat (limited to 'media-video/cheese/cheese-3.30.0.ebuild')
-rw-r--r--media-video/cheese/cheese-3.30.0.ebuild71
1 files changed, 71 insertions, 0 deletions
diff --git a/media-video/cheese/cheese-3.30.0.ebuild b/media-video/cheese/cheese-3.30.0.ebuild
new file mode 100644
index 000000000000..31bc873f0bfe
--- /dev/null
+++ b/media-video/cheese/cheese-3.30.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2 virtualx
+
+DESCRIPTION="A cheesy program to take pictures and videos from your webcam"
+HOMEPAGE="https://wiki.gnome.org/Apps/Cheese"
+
+LICENSE="GPL-2+"
+SLOT="0/8" # subslot = libcheese soname version
+IUSE="+introspection"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.39.90:2
+ >=x11-libs/gtk+-3.13.4:3[introspection?]
+ >=gnome-base/gnome-desktop-2.91.6:3=
+ >=media-libs/libcanberra-0.26[gtk3]
+ >=media-libs/clutter-1.13.2:1.0[introspection?]
+ >=media-libs/clutter-gtk-0.91.8:1.0
+ media-libs/clutter-gst:3.0
+ media-libs/cogl:1.0=[introspection?]
+
+ media-video/gnome-video-effects
+ x11-libs/gdk-pixbuf:2[jpeg,introspection?]
+ x11-libs/libX11
+ x11-libs/libXtst
+
+ >=media-libs/gstreamer-1.4:1.0[introspection?]
+ >=media-libs/gst-plugins-base-1.4:1.0[introspection?,ogg,pango,theora,vorbis,X]
+
+ introspection? ( >=dev-libs/gobject-introspection-0.6.7:= )
+"
+RDEPEND="${COMMON_DEPEND}
+ >=media-libs/gst-plugins-bad-1.4:1.0
+ >=media-libs/gst-plugins-good-1.4:1.0
+
+ >=media-plugins/gst-plugins-jpeg-1.4:1.0
+ >=media-plugins/gst-plugins-v4l2-1.4:1.0
+ >=media-plugins/gst-plugins-vpx-1.4:1.0
+"
+# libxml2+gdk-pixbuf required for glib-compile-resources
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.3
+ app-text/yelp-tools
+ dev-libs/appstream-glib
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ >=dev-util/gtk-doc-am-1.14
+ >=dev-util/intltool-0.50
+ dev-util/itstool
+ virtual/pkgconfig
+ x11-base/xorg-proto
+"
+
+src_configure() {
+ gnome2_src_configure \
+ GST_INSPECT=$(type -P true) \
+ GTESTER_REPORT=$(type -P true) \
+ VALAC=$(type -P true) \
+ $(use_enable introspection) \
+ --disable-lcov \
+ --disable-static
+}
+
+src_test() {
+ "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
+ GSETTINGS_SCHEMA_DIR="${S}/data" virtx emake check
+}